		


<canvas id="canvas" width="3448" height="1724" class="chartjs-render-monitor" style="display: block; height: 862px; width: 1724px;"></canvas>

	<br>
	<script>





function build_config_by_data_array(data_array){

		var config = {
			type: 'line',
			data: {
				//labels: [ ],
				datasets: [{
					label: 'Engadgement',
					backgroundColor: window.chartColors.red,
					borderColor: window.chartColors.red,
					data: data_array,
					fill: false,
				}]
			},
			options: {
        events: ['click'],
				responsive: true,
				title: {
					display: false,
					text: 'Chart.js Line Chart'
				},
				tooltips: {
					mode: 'index',
					intersect: false,
          callbacks: {
						// Use the footer callback to display the sum of the items showing in the tooltip
						footer: function(tooltipItems, data) {
              scroll_to_post(tooltipItems, data);
							return '';
						},
					},
				},
				hover: {
					mode: 'nearest',
					intersect: true
				},
				scales: {
					xAxes: [{
						type: 'time',
						display: true,
						scaleLabel: {
							display: true,
							labelString: 'Month'
						},
					}],
					yAxes: [{
						display: true,
						scaleLabel: {
							display: true,
							labelString: 'Value'
						}
					}]
				}
			}
		};

  return config;
}




		var colorNames = Object.keys(window.chartColors);

function scroll_to_post(tooltipItems, data) {

  var index = (tooltipItems[0].index);
  console.log(data);

  $('#myModal').scrollTop(0);
  // get the top of the section
  var sectionOffset = $('#card-' + index).offset();
  //scroll the container
    $('#myModal').animate({ scrollTop: sectionOffset.top - 30 }, "slow");

}


	</script>
